List experiment results
Get a paginated list of results for an experiment. Each result contains the experiment item outputs, dataset inputs and expected outputs, and all associated evaluation scores (including the evaluator name).
Filtering (filter parameter — JSON-encoded QueryCondition DSL): - experiment_item_id — filter by one or more item IDs
(operators: equal, not_equal, in, not_in)
Ordering (ordering parameter): - timestamp / -timestamp — sort by item timestamp (default: -timestamp) - created_at / -created_at — sort by backend creation time - dataset_item_id / -dataset_item_id — sort by dataset item id; the order is
the same in every experiment on the dataset, but it is not the alphabetical
order of the id strings
dataset_item.created_at/-dataset_item.created_at— sort by the dataset item’s creation time, then by dataset item id ascending (the order of listing the experiment’s dataset version withordering=created_at/-created_at)scores.score_value/-scores.score_value— sort by first score value -scores.{score_name}/-scores.{score_name}— sort by named score value (e.g.scores.accuracy,-scores.toxicity)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter for unique identifier of an experiment
Query Parameters
Allows you to filter by any field.
Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields
Limit for the pagination
Offset for the pagination
Response
List of results for an experiment